server:
  port: 30018
  #  默认为immediate，表示立即关机；graceful，表示优雅关机
  shutdown: ${SPRING_SHUTDOWN:immediate}
  lifecycle:
    timeout-per-shutdown-phase: ${SPRING_SERVER_LIFECYCLE_TIMEOUT_PER_SHUTDOWN_PHASE:30s}
management:
  server:
    port: 30019
  # 开启shutdown endpoint，默认配置不开启
  endpoint:
    shutdown:
      enabled: true
  endpoints:
    web:
      exposure:
        include: '*'
spring:
  profiles:
    active: ${SPRING_PROFILES_ACTIVE:}
  cloud:
    config:
      fail-fast: false
      # 是否启用配置中心
      enabled: ${SPRING_CLOUD_CONFIG_ENABLED:false}
      # 配置中心地址
      uri: ${SPRING_CLOUD_CONFIG_URI:http://dev.hzero.com.cn:8010}
      retry:
        # 最大重试次数
        maxAttempts: 6
        multiplier: 1.1
        # 重试间隔时间
        maxInterval: 2000
      # 标签
      label: ${SPRING_CLOUD_CONFIG_LABEL:}
eureka:
  instance:
    # 以IP注册到注册中心
    preferIpAddress: ${EUREKA_INSTANCE_PREFER_IP_ADDRESS:true}
    # 续约间隔时间，默认30秒
    leaseRenewalIntervalInSeconds: ${EUREKA_INSTANCE_LEASE_RENEWAL_INTERVAL_IN_SECONDS:30}
    # 实例故障摘除时间，默认90秒，实际是90*2=180秒，配置45就是90秒
    leaseExpirationDurationInSeconds: ${EUREKA_INSTANCE_LEASE_EXPIRATION_DURATION_IN_SECONDS:45}
    # 服务的一些元数据信息
    metadata-map:
      VERSION: 1.0.0-snapshot
  client:
    serviceUrl:
      # 注册中心地址
      defaultZone: ${EUREKA_DEFAULT_ZONE:http://mesdevreg.hnxg.com/eureka}
      #defaultZone: ${EUREKA_DEFAULT_ZONE:http://mestestreg.hnxg.com/eureka}
    registryFetchIntervalSeconds: 10
    disable-delta: true
